# Interface SyThemeableReadableType

All Known Subinterfaces:
  `SyButtonReadableType, SyButtonType, SyButtonWithTextReadableType, SyButtonWithTextType, SyCheckboxReadableType, SyCheckboxType, SyComponentReadableType, SyComponentType, SyContainerReadableType, SyContainerType, SyGridViewReadableType, SyGridViewType, SyImageViewReadableType, SyImageViewType, SyListViewReadableType, SyListViewType, SyMenuBarItemType, SyMenuBarReadableType, SyMenuBarType, SyMenuItemAtomType, SyMenuItemSeparatorType, SyMenuItemSubmenuType, SyMenuItemType, SyMenuReadableType, SyMenuType, SyMeterReadableType, SyScrollBarHorizontalReadableType, SyScrollBarHorizontalType, SyScrollBarReadableType, SyScrollBarType, SyScrollBarVerticalReadableType, SyScrollBarVerticalType, SyScrollPaneReadableType, SyScrollPaneType, SyTextAreaReadableType, SyTextAreaType, SyTextFieldReadableType, SyTextFieldType, SyTextMultiLineViewReadableType, SyTextMultiLineViewType, SyTextViewReadableType, SyTextViewType, SyThemeableType`

public interface SyThemeableReadableType
The type of readable objects that can have theme information applied to them.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<SyThemeClassNameType>`
  `themeClassesDefaultForComponent()`
  Obtain the list of theme classes in preference order that are the default classes for a particular type of component.
  `List<SyThemeClassNameType>`
  `themeClassesExtra()`
  Obtain the list of extra theme classes in preference order.
  `default List<SyThemeClassNameType>`
  `themeClassesInPreferenceOrder()`
  Obtain the list of theme classes in preference order.

- ## Method Details

  - ### themeClassesDefaultForComponent

    List<SyThemeClassNameType> themeClassesDefaultForComponent()
    Obtain the list of theme classes in preference order that are the default classes for a particular type of component.
    Returns:
      The list of theme classes

  - ### themeClassesExtra

    List<SyThemeClassNameType> themeClassesExtra()
    Obtain the list of extra theme classes in preference order.
    Returns:
      The list of theme classes

  - ### themeClassesInPreferenceOrder

    default List<SyThemeClassNameType> themeClassesInPreferenceOrder()
    Obtain the list of theme classes in preference order. When searching for theme information, the theme will be consulted for each class in the list in order, and the theme will return information for the first class it recognizes. Essentially, a list `[A, B, C]` allows a component to say "If you have theme rules for a class `A`, use those. Otherwise, if you have theme rules for a class `B`, use those. Otherwise, use the rules for a class `C`".
    Returns:
      The list of theme classes